/****************************************************************************

  This file is part of the VRender library.
  Copyright (C) 2005 Cyril Soler (Cyril.Soler@imag.fr)
  Version 1.0.0, released on June 27, 2005.

  http://artis.imag.fr/Members/Cyril.Soler/VRender

  VRender is free software; you can redistribute it and/or modify it under the
  terms of the GNU General Public License as published by the Free Software
  Foundation; either version 2 of the License, or (at your option) any later
  version.
  
  VRender is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
  A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  VRender; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#include "Functions.h"
#include "Types.h"

using namespace vrender ;

// Some static instanciations

const Vector2 Vector2::inf = Vector2(FLT_MAX,FLT_MAX) ;
const Vector3 Vector3::inf = Vector3(FLT_MAX,FLT_MAX,FLT_MAX) ;

